%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Unicode-EastAsianWidth
Version:       12.0
Release:       2mamba
Summary:       Unicode::EastAsianWidth - East Asian Width properties
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/Unicode-EastAsianWidth-%{version}.tar.gz
License:       MIT
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel >= %perl_major_ver

%description
This module provide user-defined Unicode properties that deal with East Asian characters' width status, as specified in <http://www.unicode.org/unicode/reports/tr11></http:>.
It exports the following functions to the caller's scope, to be used by Perl's Unicode matching system: "InEastAsianFullwidth", "InEastAsianHalfwidth", "InEastAsianAmbiguous", "InEastAsianNarrow" "InEastAsianWide", "InEastAsianNeutral".
In accord to TR11 cited above, two additional context-sensitive properties are exported: "InFullwidth" (union of "Fullwidth" and "Wide") and "InHalfwidth" (union of "Halfwidth", "Narrow" and "Neutral").
*Ambiguous* characters are treated by default as part of "InHalfwidth", but you can modify this behaviour by assigning a true value to $Unicode::EastAsianWidth::EastAsian.

%prep

%setup -q -n Unicode-EastAsianWidth-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Apr 18 2023 Sdk Build System <sdk@mambasoft.it> 12.0-2mamba
- rebuilt with perl 5.36.0

* Mon May 25 2020 Automatic Build System <autodist@mambasoft.it> 12.0-1mamba
- automatic update by autodist

* Wed Apr 17 2019 Automatic Build System <autodist@mambasoft.it> 1.40-1mamba
- automatic update by autodist

* Fri Feb 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.33-1mamba
- update to 1.33

* Sat Oct 23 2010 gil <puntogil@libero.it> 1.30-1mamba
- package created by autospec
